<?php
/*---------------------------------------------------------------------------------------------*/
/*     CUSTOMIZER OPTIONS                                                                      */
/*---------------------------------------------------------------------------------------------*/


add_action('customize_register', 'gs_theme_customizer');
function gs_theme_customizer( $wp_customize ) {

//Font Standard
$style_font_standard = array(
 "Open Sans" => "Open Sans",
 "Ubuntu" => "Ubuntu",
 "Actor" => "Actor",
 "Gilda+Display" => "Gilda+Display",
 "Cinzel" => "Cinzel",
 "Basic" => "Basic",
 "Dosis" => "Dosis",
     );              


/* social media option */

$wp_customize->add_section( 'owd_social_section' , array(
        'title'       => __( 'Social', 'inscribe' ),
        'priority'    => 2,
        'description' => __( 'Optional media icons in the header', 'inscribe' ),
    ) );
    
$wp_customize->add_setting( 'owd_facebook' );
    
    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_facebook', array(
      'label'    => __( 'Enter your Facebook url', 'inscribe' ),
      'section'  => 'owd_social_section',
      'settings' => 'owd_facebook',
      'priority'    => 101,
    ) ) );
  
$wp_customize->add_setting( 'owd_twitter' );
    
    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_twitter', array(
      'label'    => __( 'Enter your Twitter url', 'inscribe' ),
      'section'  => 'owd_social_section',
      'settings' => 'owd_twitter',
      'priority'    => 102,
    ) ) );
    
$wp_customize->add_setting( 'owd_google' );
    
    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_google', array(
      'label'    => __( 'Enter your Google+ url', 'inscribe' ),
      'section'  => 'owd_social_section',
      'settings' => 'owd_google',
      'priority'    => 103,
    ) ) );
    
$wp_customize->add_setting( 'owd_pinterest' );
    
    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_pinterest', array(
      'label'    => __( 'Enter your Pinterest url', 'inscribe' ),
      'section'  => 'owd_social_section',
      'settings' => 'owd_pinterest',
      'priority'    => 104,
    ) ) );
    
$wp_customize->add_setting( 'owd_linkedin' );
    
    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_linkedin', array(
      'label'    => __( 'Enter your Linkedin url', 'inscribe' ),
      'section'  => 'owd_social_section',
      'settings' => 'owd_linkedin',
      'priority'    => 105,
    ) ) );
    
$wp_customize->add_setting( 'owd_youtube' );
    
$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_youtube', array(
      'label'    => __( 'Enter your Youtube url', 'inscribe' ),
      'section'  => 'owd_social_section',
      'settings' => 'owd_youtube',
      'priority'    => 106,
    ) ) );
    
$wp_customize->add_setting( 'owd_tumblr' );
    
    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_tumblr', array(
      'label'    => __( 'Enter your Tumblr url', 'inscribe' ),
      'section'  => 'owd_social_section',
      'settings' => 'owd_tumblr',
      'priority'    => 107,
    ) ) );
    
$wp_customize->add_setting( 'owd_instagram' );
    
    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_instagram', array(
      'label'    => __( 'Enter your Instagram url', 'inscribe' ),
      'section'  => 'owd_social_section',
      'settings' => 'owd_instagram',
      'priority'    => 108,
    ) ) );
    
    $wp_customize->add_setting( 'owd_flickr' );
    
    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_flickr', array(
      'label'    => __( 'Enter your Flickr url', 'inscribe' ),
      'section'  => 'owd_social_section',
      'settings' => 'owd_flickr',
      'priority'    => 109,
    ) ) );
    
    $wp_customize->add_setting( 'owd_vimeo' );
    
    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_vimeo', array(
      'label'    => __( 'Enter your Vimeo url', 'inscribe' ),
      'section'  => 'owd_social_section',
      'settings' => 'owd_vimeo',
      'priority'    => 110,
    ) ) );
    
    $wp_customize->add_setting( 'owd_rss' );
    
    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_rss', array(
      'label'    => __( 'Enter your RSS url', 'inscribe' ),
      'section'  => 'owd_social_section',
      'settings' => 'owd_rss',
      'priority'    => 111,
    ) ) );
    
    $wp_customize->add_setting( 'owd_email' );
    
    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'owd_email', array(
      'label'    => __( 'Enter your Mailto url', 'inscribe' ), 
      'section'  => 'owd_social_section',
      'settings' => 'owd_email',
      'priority'    => 112,
    ) ) );


// -------------------------- logo

$wp_customize->add_section( 'gs_logo_section' , array(
    'title'       => __( 'Logo', 'inscribe' ),
    'priority'    => 5,
    'description' => __('Upload a logo', 'inscribe'),
) );

$wp_customize->add_setting( 'gs_logo', array( 
   'transport' => 'refresh', 
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'gs_logo', array(
    'label'    => __( 'Upload a logo (recommended 250x60)', 'inscribe' ),
    'section'  => 'gs_logo_section',
    'settings' => 'gs_logo',
) ) );


// Banner top 468x60

$wp_customize->add_section( 'ads', array(
        'title' => __('Banner after post 468x60', 'inscribe'), 
        'priority'    => 6,
        'description' => 'Settings banner blog' 
     ) );

$wp_customize->add_setting( 'ads_banner_top', array(
                            'transport' => 'refresh', 
                            'default' => 'Add banner or hide',
                           ));

$wp_customize->add_control( 'ads_banner_top', array(
    'label' => __('Link banner', 'inscribe'),
    'type' => 'text',
    'section' => 'ads', 
) );


$wp_customize->add_setting( 'banner_logo', array('transport' => 'refresh', ) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'banner_logo', array(
    'label'    => __( 'Upload image banner', 'inscribe' ),
    'section'  => 'ads',
    'settings' => 'banner_logo',
) ) );

 //Hide banner ?
$wp_customize->add_setting( 'hide_banner', array(
    'default' => 0,
    'transport' => 'refresh' ) );

$wp_customize->add_control( 'hide_banner', array(
    'label' => __('Hide Banner', 'inscribe'),
    'type' => 'checkbox',
    'section' => 'ads',
) );
    


//Fonts Header 
$wp_customize->add_section( 'fonts-header', array(
    'title' => __('Header Fonts & Color', 'inscribe'), 
    'description' => __('Options Font Header','inscribe'),
    'priority'    => 7,
 ) );
$wp_customize->add_setting( 'font_size_header', array(
     'transport' => 'refresh',
     'default' => '30px',
 ));
$wp_customize->add_control( 'font_size_header', array(
		'label' => __('Header size px', 'inscribe'),
		'section' => 'fonts-header',
		'settings' => 'font_size_header',
		'type' => 'select',
		'choices' => array(
                        '25' => '25px',
                        '26' => '26px',
                        '27' => '27px',
		                    '28' => '28px',
                        '29' => '29px',
                        '30' => '30px',
		                    '31' => '31px',
                        '32' => '32px',
                        '33' => '33px',
                        '34' => '34px',
                        
		),
	) );

$wp_customize->add_setting( 'fonts_family_header1', array(
                            'transport' => 'refresh',
                            'default' => 'Ubuntu',
 ));
 
$wp_customize->add_control( 'fonts_family_header1', array(
		'label' => __('Fonts Header', 'inscribe'),
		'section' => 'fonts-header',
		'settings' => 'fonts_family_header1',
		'type' => 'select',
		'choices' => $style_font_standard
	) );


$wp_customize->add_setting( 'header_font_color' , array(
              'default'     => '#222222',
              'transport'   => 'refresh',
) );
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'header_font_color', array(
	  'label'        => __( 'Header font Color', 'inscribe' ),
	  'section'    => 'fonts-header',
	  'settings'   => 'header_font_color',
) ) );

$wp_customize->add_setting( 'header_bgcolor' , array(
              'default'     => '#fff',
              'transport'   => 'refresh',
) );
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'header_bgcolor', array(
	  'label'        => __( 'Header Background', 'inscribe' ),
	  'section'    => 'fonts-header',
	  'settings'   => 'header_bgcolor',
) ) );


//----------------------------- Layout ----------------------------------//

$wp_customize->add_section( 'ebox_layout_section' , array(
        'title'       => __( 'Layout', 'inscribe' ),
        'description' => __('Change how displays posts','inscribe'),
        'priority'    => 8,
    ) );

$wp_customize->add_setting( 'ebox_post_content', array(
        'default'   => 'option1',
        'transport' => 'refresh',
        'priority'    => 1
    ) );

$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'ebox_post_content', array(
        'label'     => __( 'Post content', 'inscribe' ),
        'section'   => 'ebox_layout_section',
        'settings'  => 'ebox_post_content',
        'type'      => 'radio',
        'choices'   => array(
               'option1'   => 'Excerpts',
               'option2'   => 'Full content',
            ),
    ) ) );

  
/* Textarea (banner footer)-------------------------------------------*/

$wp_customize->add_section( 'themedemo_demo_settings', array(
        'title' => __('Banner Footer 728x90', 'inscribe'), 
        'description' => 'Banner footer',
        'priority'    => 9,
 ) );


class Example_Customize_Textarea_Control extends WP_Customize_Control {
    public $type = 'textarea';
 
    public function render_content() {
        ?>
        <label>
        <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
        <textarea rows="5" style="width:100%;" <?php $this->link(); ?>><?php echo esc_textarea( $this->value() ); ?></textarea>
        </label>
        <?php
    }
}



$wp_customize->add_setting( 'textarea_setting', array(
    'default' => 'Add banner',
    'transport' => 'refresh',
) );
 
$wp_customize->add_control( new Example_Customize_Textarea_Control( $wp_customize, 'textarea_setting', array(
    'label'   => __('Textarea Setting', 'inscribe'),
    'section' => 'themedemo_demo_settings',
    'settings'   => 'textarea_setting',
) ) );

$wp_customize->add_setting( 'checkbox5', array(
    'default' => 0,
    
) );
$wp_customize->add_control( 'checkbox5', array(
    'label' => __('Hide Banner', 'inscribe'),
    'type' => 'checkbox',
    'section' => 'themedemo_demo_settings',
) );

// copyright footer

$wp_customize->add_section( 'themedemo_footer', array(
        'title' => __('Copyright Footer', 'inscribe'), 
        'description' => __('Add Copyright Footer','inscribe'),
        'priority'    => 15,
 ) );


class Customize_Textarea_Control extends WP_Customize_Control {
    public $type = 'textarea';
 
    public function render_content() {
        ?>
        <label>
        <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
        <textarea rows="5" style="width:100%;" <?php $this->link(); ?>><?php echo esc_textarea( $this->value() ); ?></textarea>
        </label>
        <?php
    }
}

$wp_customize->add_setting( 'textarea_setting_footer', array(
    'default' => '(c) Welcome to my site',
    'transport' => 'refresh',
) );
 
$wp_customize->add_control( new Customize_Textarea_Control( $wp_customize, 'textarea_setting_footer', array(
      'label'      => __('Copyright Footer', 'inscribe'),
      'section'    =>    'themedemo_footer',
      'settings'   => 'textarea_setting_footer',
) ) );

//Hide Tagline
$wp_customize->add_setting( 'title_tagline_check', array( 'transport' => 'refresh', ) );

$wp_customize->add_control( 'title_tagline_check', array(
		'label'      => __( 'Hide Tagline', 'inscribe' ),
		'section'    => 'title_tagline',
		'settings'   => 'title_tagline_check',
		'type'        => 'checkbox',
	) );

// Post Options
$wp_customize->add_section( 'fonts_post', array(
        'title' => __('Post Options', 'inscribe'), 
        'description' => __('Options fonts','inscribe'),
 ) );


$wp_customize->add_setting( 'font_size_post', array(
                    'transport' => 'refresh',
                    'default' => '28px',
 ));

$wp_customize->add_control( 'font_size_post', array(
		'label' => __('Choose size to article title', 'inscribe'),
		'section' => 'fonts_post',
		'settings' => 'font_size_post',
		'type' => 'select',
		'choices' => array(
                        '22' => '22px',
                        '23' => '23px',
                        '24' => '24px',
                        '25' => '25px',
                        '26' => '26px',
                        '27' => '27px',
		                    '28' => '28px',
                        '29' => '29px',
                        '30' => '30px',
		                    '31' => '31px',
                        '32' => '32px',
                        
                        
		),
	) );

$wp_customize->add_setting( 'fonts_post_title', array(
                  'default' => 'Georgia',
                  'transport' => 'refresh',
));
$wp_customize->add_control( 'fonts_post_title', array(
		'label'    => __('Choose font to article title', 'inscribe'),
		'section'  => 'fonts_post',
		'settings' => 'fonts_post_title',
		'type'     => 'select',
		'choices'  => $style_font_standard
	) );




$wp_customize->add_setting( 'fonts_font3', array(
                  'default' => 'verdana',
                  'transport' => 'refresh',
));
$wp_customize->add_control( 'fonts_font3', array(
		'label' => __('Choose font to post', 'inscribe'),
		'section' => 'fonts_post',
		'settings' => 'fonts_font3',
		'type' => 'select',
		'choices' => $style_font_standard
	) );

$wp_customize->add_setting( 'fonts_font', array(
                  'transport' => 'refresh',
                  'default' => '14px',
 ));	
$wp_customize->add_control( 'fonts_font', array(
		'label' => __('Choose size to post', 'inscribe'),
		'section' => 'fonts_post',
		'settings' => 'fonts_font',
		'type' => 'select',
		'choices' => array(
                        '12' => '12px',
			                  '13' => '13px',
			                  '14' => '14px',
                        '15' => '15px',
		),
	) );
$wp_customize->add_setting( 'post_font_title_color' , array(
              'default'     => '#222222',
              'transport'   => 'refresh',
) );
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'post_font_title_color', array(
	  'label'        => __( 'Post title font color', 'inscribe' ),
	  'section'    => 'fonts_post',
	  'settings'   => 'post_font_title_color',
) ) );
$wp_customize->add_setting( 'post_font_color' , array(
              'default'     => '#222222',
              'transport'   => 'refresh',
) );
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'post_font_color', array(
	  'label'        => __( 'Post font color', 'inscribe' ),
	  'section'    => 'fonts_post',
	  'settings'   => 'post_font_color',
) ) );

/* Checkbox -------------------------------------------------------------------*/

$wp_customize->add_section( 'check', array(
        'title' => __('Disable', 'inscribe'), 
        'description' => __('Disable items in theme','inscribe'),
         
 ) );

$wp_customize->add_setting( 'checkbox2', array(
    'default' => 0,
    'transport' => 'refresh',
) );
 
$wp_customize->add_control( 'checkbox2', array(
    'label' => __('Disable Button [Read More]', 'inscribe'),
    'type' => 'checkbox',
    'section' => 'check',
) );

$wp_customize->add_setting( 'checkbox1', array(
    'default' => 0,
) );
$wp_customize->add_control( 'checkbox1', array(
    'label' => __('Disable Post Thumbnails', 'inscribe'),
    'type' => 'checkbox',
    'section' => 'check',
) );
$wp_customize->add_setting( 'checkbox3', array(
    'default' => 0,
) );
 
$wp_customize->add_control( 'checkbox3', array(
    'label' => __('Disable Author in Post', 'inscribe'),
    'type' => 'checkbox',
    'section' => 'check',
) );

$wp_customize->add_setting( 'hide_slider', array(
    'default' => 0,
) );
 
$wp_customize->add_control( 'hide_slider', array(
    'label' => __('Disable slider', 'inscribe'),
    'type' => 'checkbox',
    'section' => 'check',
) );


$wp_customize->add_setting( 'checkbox8', array(
    'default' => 0,
) );
 
$wp_customize->add_control( 'checkbox8', array(
    'label' => __('Disable widgets from footer', 'inscribe'),
    'type' => 'checkbox',
    'section' => 'check',
) );

/* LINKS color */

$wp_customize->add_section( 'links_color' , array(
               'title'      => __( 'Links color', 'inscribe' ),
               'priority'   => 11,
) );
$wp_customize->add_setting( 'links_site_color' , array(
              'default'     => '#0099ff',
              'transport'   => 'refresh',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'links_site_color', array(
	  'label'      => __( 'Links Color', 'inscribe' ),
	  'section'    => 'links_color',
	  'settings'   => 'links_site_color',
) ) );

$wp_customize->add_setting( 'links_site_hover_color' , array(
              'default'     => '#ff0099',
              'transport'   => 'refresh',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'links_site_hover_color', array(
	  'label'      => __( 'Links Color:hover', 'inscribe' ),
	  'section'    => 'links_color',
	  'settings'   => 'links_site_hover_color',
) ) );


//custom css
$wp_customize->add_section( 'custom_css', array(
        'title' => __('Custom css', 'inscribe'), 
        'description' => __('Add Custom css','inscribe'),
        'priority'    => 45,
 ) );


class Customize_Textarea_Custom extends WP_Customize_Control {
    public $type = 'textarea';
 
    public function render_content() {
        ?>
        <label>
        <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
        <textarea rows="5" style="width:100%;" <?php $this->link(); ?>><?php echo esc_textarea( $this->value() ); ?></textarea>
        </label>
        <?php
    }
}


$wp_customize->add_setting( 'custom_css_editor', array(
    'default' => '',
    'transport' => 'refresh',
) );
 
$wp_customize->add_control( new Customize_Textarea_Control( $wp_customize, 'custom_css_editor', array(
                       'label'   => __('Add your custom css', 'inscribe'),
                       'section' => 'custom_css',
                       'settings'   => 'custom_css_editor',
) ) );



}//end//

